Show / Hide Table of Contents

# TaskTracker Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class TaskTracker

##### Inheritance

System.Object → TaskTracker

### Members

#### Methods

Name | Description
--- | ---
CheckAndResetDirty() |
ForEachActiveTask(Action<Int32, String, UniTaskStatus, DateTime, String>) | (trackingId, awaiterType, awaiterStatus, createdTime, stackTrace)
RemoveTracking(IUniTaskSource) |
TrackActiveTask(IUniTaskSource, Int32) |

### Methods

#### CheckAndResetDirty()

    public static bool CheckAndResetDirty()

##### Returns

System.Boolean

#### ForEachActiveTask(Action<Int32, String, UniTaskStatus, DateTime, String>)

(trackingId, awaiterType, awaiterStatus, createdTime, stackTrace)

    public static void ForEachActiveTask(Action<int, string, UniTaskStatus, DateTime, string> action)

##### Parameters

`action` System.Action<System.Int32, System.String, UniTaskStatus, System.DateTime, System.String>

#### RemoveTracking(IUniTaskSource)

    public static void RemoveTracking(IUniTaskSource task)

##### Parameters

`task` IUniTaskSource

#### TrackActiveTask(IUniTaskSource, Int32)

    public static void TrackActiveTask(IUniTaskSource task, int skipFrame)

##### Parameters

`task` IUniTaskSource
`skipFrame` System.Int32